/*
 * This file is part of GoTo Contact Center WebChat.
 *
 * GoTo Contact Center WebChat is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 * GoTo Contact Center WebChat is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with GoTo Contact Center WebChat.
 * If not, see <https://www.gnu.org/licenses/>.
 */
'use strict';

// Simple event handler to disable the text area if
// the checkbox is unchecked
document.addEventListener('DOMContentLoaded', function() {
  const snippetTextArea = document.getElementById('goto-contact-center-webchat-snippet');
  const activationCheckBox = document.getElementById('goto-contact-center-webchat-activated');

  activationCheckBox.addEventListener('change', function(event) {
    if (event.target.checked) {
      snippetTextArea.setAttribute('required', '');
      snippetTextArea.removeAttribute('disabled');
    } else {
      snippetTextArea.setAttribute('disabled', '');
      snippetTextArea.removeAttribute('required');
    }
  });
});
