<?php
/*
 * This file is part of GoTo Contact Center Webchat.
 *
 * GoTo Contact Center Webchat is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 * GoTo Contact Center Webchat is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with GoTo Contact Center Webchat.
 * If not, see <https://www.gnu.org/licenses/>.
 */
/**
 * GoTo Contact Center Webchat Public Class
 *
 * @package     GoTo_Plugin
 * @subpackage
 * @copyright   Copyright (c) 2022, GoTo inc.
 * @license     https://www.gnu.org/licenses/gpl-3.0.txt
 * @since       0.1.0
 */

namespace GoToContactCenter;

if ( !defined( 'ABSPATH' ) ) {
  exit;
}

/**
 * @property $plugin_activated
 * @property $plugin_snippet
 */
class GoTo_Contact_Center_WebChat_Public_Class {

  public function __construct( $arg ) {
    $this->plugin_activated = get_option( $arg['plugin_pref'] . '_activated' );
    $this->plugin_snippet = get_option( $arg['plugin_pref'] . '_snippet' );

    add_action( 'wp_footer', array( $this, 'add_goto_webchat' ) );
  }

  public function add_goto_webchat( $arg ) {
    if ( $this->plugin_activated ) {
      $allowed_html = array(
        'script' => array(
          'type' => array()
        )
      );
      echo wp_kses( $this->plugin_snippet, $allowed_html );
    }
  }
}
