<?php
/*
 * This file is part of GoTo Contact Center Webchat.
 *
 * GoTo Contact Center Webchat is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 * GoTo Contact Center Webchat is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with GoTo Contact Center Webchat.
 * If not, see <https://www.gnu.org/licenses/>.
 */
/**
 * GoTo Contact Center Webchat uninstall function
 *
 * @package     GoTo_Plugin
 * @subpackage
 * @copyright   Copyright (c) 2022, GoTo inc.
 * @license     https://www.gnu.org/licenses/gpl-3.0.txt
 * @since       0.3.1
 */

//Ensure the uninstall.php file was only called by WordPress and not directly
if(!defined('WP_UNINSTALL_PLUGIN'))
{
  //First catches the Apache users
  header("HTTP/1.0 404 Not Found");
  //This should catch FastCGI users
  header("Status: 404 Not Found");
  die();
}

delete_option( 'goto-contact-center-webchat_activated' );
delete_option( 'goto-contact-center-webchat_snippet' );
